LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 12-04-2007, 05:03 PM   #1
Vassos
Member
 
Registered: Jul 2007
Posts: 52

Rep: Reputation: 15
Matlab 7, problems with libc.so.6 and GLIBC_2.0


hey

i have an issue with Matlab7 on my Fedora 7.
I have installed the program and averything is fine.
EXCEPt for one big detail

I can get the 'syms' toolbox to work
I actually get this message

'Unable to load mex file: /usr/share/matlab7/toolbox/symbolic/maplemex.mexglx.
/usr/share/matlab7/bin/glnx86/libmaple.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
??? Invalid MEX-file '/usr/share/matlab7/toolbox/symbolic/maplemex.mexglx': .

Error in ==> maple at 104
[result,status] = maplemex(statement);

Error in ==> sym.sym at 105
maple('assume',x,'real');

Error in ==> syms at 68
assignin('caller',x,sym(x,'real')); ''

When i googled it i found many people having the same problem. What i understood was that, the problem is with the new libc.so.6
The new versions of GLIb are having compatibility problems with the specific GLIBC2.0
Some people get a similar error msg , when having errors with java but that is not my case , because all the java environment tools work just fine.

The official site of Mathworks suggests to put an olde version of the glibc in the matlab directory.

My quastion is: if i try this , i must remove the current version of GLib (which i think is not very wise...), or can i just put the old libraries where are needed. And how do i just get the libraries without installing the hole package.


I have dowbnloaded an older version of glib but it doesnt let me install it.
 
Old 12-04-2007, 06:31 PM   #2
ehawk
Senior Member
 
Registered: Jul 2003
Posts: 1,257

Rep: Reputation: 48
Does this link help?

http://remmirath-en.blogspot.com/200...-on-linux.html
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't find libc.s0.6(GLIBC_2.4) BobNutfield Fedora 4 01-17-2006 06:58 PM
libc.so.6(GLIBC_2.3) RPM downlaod executive Linux - Software 2 03-23-2005 04:59 PM
rpm needs libc.so.6 (glibc_2.3.4) sirius57 Linux - Software 8 11-28-2004 05:32 PM
libc.so.6(GLIBC_2.3), libc.so.6(GLIBC_2.3.2) needed for Linux 7.3.1 vivek_thampy Linux - Software 1 08-09-2004 05:12 PM
Which RPM contains libc.so.6(GLIBC_2.3) etae Linux - Software 1 09-09-2003 06:09 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:21 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration